using UnityEngine;

public class RestartBell : MonoBehaviour
{
    [SerializeField]
    private Animator _animator = null;

    private const string PARAM_STATE = "state";

    [SerializeField]
    private SheepGenerator _sheepGenerator = null;

    public void ChangeState(RestartBellState state)
    {
        _animator.SetInteger(PARAM_STATE, (int)state);
    }

    public void PlayRingingSound() { }

    public void Strike()
    {
        ChangeState(RestartBellState.Strike);
        _sheepGenerator.Restart();
    }
}

public enum RestartBellState
{
    Idle = 0,
    Ringing = 1,
    Strike = 2,
}
